Package org.zkoss.stateless.sul

## Interface ILabelElement<I extends ILabelElement>

- All Superinterfaces:
    `IComponent<I>`, `IHtmlBasedComponent<I>`, `IXulElement<I>`
  All Known Subinterfaces:
    `IA<I>`, `IAuxheader<I>`, `IButton`, `IButtonBase<I>`, `ICaption<I>`, `ICheckbox`, `ICheckboxBase<I>`, `IColumn<I>`, `ICombobutton`, `IComboitem`, `IFileupload`, `IFisheye`, `IFooter<I>`, `IFooterElement<I>`, `IHeaderElement<I>`, `ILabelImageElement<I>`, `IListcell<I>`, `IListfooter<I>`, `IListheader<I>`, `IMenu`, `IMenuitem`, `INav`, `INavitem`, `IOrgnode<I>`, `IRadio`, `ITab`, `IToolbarbutton`, `ITreecell<I>`, `ITreecol<I>`, `ITreefooter<I>`

      public interface ILabelElement<I extends ILabelElement>
      extends IXulElement<I>

  Immutable `LabelElement` interface
  Author:
    katherine

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getLabel()` | Returns the `label` (never null).
    `I` | `withLabel​(java.lang.String label)` | Returns a copy of `this` immutable component with the specified `label`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetClass, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Method Detail

    - #### getLabel

          default java.lang.String getLabel()

      Returns the `label` (never null).

      Default: `""`.

    - #### withLabel

          I withLabel​(java.lang.String label)

      Returns a copy of `this` immutable component with the specified `label`.

      Sets the label of the component.

      Returns:
        A modified copy of the `this` object